package PersonLib;

public enum Gender {
	FEMALE,	MALE;

	public static Gender valueOf(int value) {
		switch (value) { // switch
		case 0:
			return FEMALE;
		case 1:
			return MALE;
		}
		return null;
	}

	public static Gender nameOf(String name) {
		switch (name) { // switch
		case "FEMALE":
			return FEMALE;
		case "MALE":
			return MALE;
		}
		return null;
	}

	public static String[] names() {
		String[] names = new String[Gender.values().length];
		for (Gender t : Gender.values()) 
			names[t.ordinal()] = t.toString();
		return names;
	}
}
